package cn.yw.alarmtaskmanage.bean;

import cn.base.bean.BaseBean;
//[运维告警规则时段集合]

public class YwalarmrulefortimeBean extends BaseBean implements java.io.Serializable {
	private String timeid;//[时段id]
	private String alarmruleid;//[告警规则id]
	private int weekday;//[星期几]
	private String starttime;//[开始时间]
	private String endtime;//[结束时间]
	private int alarmgrade;//[告警等级]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setTimeid(String timeid){
		this.timeid = timeid;
	}
	public String getTimeid(){
		return timeid;
	}
	public void setAlarmruleid(String alarmruleid){
		this.alarmruleid = alarmruleid;
	}
	public String getAlarmruleid(){
		return alarmruleid;
	}
	public void setWeekday(int weekday){
		this.weekday = weekday;
	}
	public int getWeekday(){
		return weekday;
	}
	public void setStarttime(String starttime){
		this.starttime = starttime;
	}
	public String getStarttime(){
		return starttime;
	}
	public void setEndtime(String endtime){
		this.endtime = endtime;
	}
	public String getEndtime(){
		return endtime;
	}
	public void setAlarmgrade(int alarmgrade){
		this.alarmgrade = alarmgrade;
	}
	public int getAlarmgrade(){
		return alarmgrade;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}